Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.taglib
Class CatchingTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.logging.log4j.taglib.CatchingTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class CatchingTag

extends javax.servlet.jsp.tagext.BodyTagSupport

This class implements the `<log:catching>` tag.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CatchingTag()`

Method Summary
`int` | `doEndTag()`
`protected Throwable` | `getException()`
`protected org.apache.logging.log4j.taglib.Log4jTaglibLogger` | `getLogger()`
`protected void` | `init()`
`void` | `release()`
`void` | `setException(Throwable exception)`
`void` | `setLevel(Object level)`
`void` | `setLogger(Object logger)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setParent`

Constructor Detail

### CatchingTag

    public CatchingTag()

Method Detail

### init

    protected void init()

### setLevel

    public void setLevel(Object level)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getException

    protected final Throwable getException()

### setException

    public final void setException(Throwable exception)

### release

    public final void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### setPageContext

    public final void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

### getLogger

    protected final org.apache.logging.log4j.taglib.Log4jTaglibLogger getLogger()
                                                                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setLogger

    public final void setLogger(Object logger)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.